Subject: [dhcwg] a quesion about RFC3046 and RFC4649

From: Lawrence Zou <[email-masked]>
Date: Wed, 27 Sep 2006 17:42:09 +0800

The RFC4649 defined a remote-id option in IPv6 that is equivalent to DHCPv4
remote-id option defined in RFC3046,
and i noticed that in RFC3046,it also defined a Circuit ID Sub-option,why
RFC4649 have not defined such kind of option in IPv6?
is that in some other documents defined such kind of option or some other
options that can achive the same function as  the Circuit ID Sub-option?

Best regards,

Lawrence 

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Kostur, Andre" <[email-masked]>
Date: Thu, 28 Sep 2006 07:49:40 -0700

>From the DHCP server point of view:

   The Interface-ID SHOULD be considered an opaque value, with policies
   based on exact match only; that is, the Interface-ID SHOULD NOT be
   internally parsed by the server.

So the DHCP server doesn't specifically care what's in the interface ID.
It's all up to the relay.  An interface doesn't have to correspond to a
physical plug on the back of the device.  In my mind, if an ethernet card is
connected to 4 VLANs, from a DHCP perspective that's 4 interfaces. 

> -----Original Message-----
> From: Lawrence Zou [mailto:[email-masked]] 
> Sent: Wednesday, September 27, 2006 10:37 PM
> To: 'Kostur, Andre'; [email-masked]
> Subject: RE: [dhcwg] a quesion about RFC3046 and RFC4649
> 
> I want to add some information about VLAN/PVC number in the 
> relay-forwarding message In my mind,the Interface-ID identify 
> the interface,i don't know whether it can also include 
> VLAN/PVC information, maybe it did can do such kind of 
> things,then i think the RFC3315 at least should make it clearer.